export default {
    name: 'ItemSlot',
    functional: true,
    inject: ['VirtualScrollRoot'],
    props: {
        itemData: Object,
        index: Number,
        // column: {
        //     type: Object,
        //     default: null
        // },
        // display: {
        //     type: String,
        //     default: 'block'
        // }
    },
    render: (h, ctx) => {
        return h('li', {
            ref: `item_${ctx.props.index}`,
            class: 'virtual-scroll-item'
        }, ctx.injections.VirtualScrollRoot.$scopedSlots['default']({
            itemData: ctx.props.itemData,
            index: ctx.props.index
        }));
    }
};
